Package com.sun.jna.platform.win32

## Class Pdh.PDH_RAW_COUNTER

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Pdh.PDH_RAW_COUNTER

Enclosing interface:
  Pdh

    @FieldOrder({"CStatus","TimeStamp","FirstValue","SecondValue","MultiCount"})
    public static class Pdh.PDH_RAW_COUNTER
    extends Structure

The data as it was collected from the counter provider. No translation, formatting, or other interpretation is performed on the data.

See Also:
  PDH_RAW_COUNTER

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `CStatus` Counter status that indicates if the counter value is valid.
`long` `FirstValue` First raw counter value.
`int` `MultiCount` If the counter type contains the PERF_MULTI_COUNTER flag, this member contains the additional counter data used in the calculation
`long` `SecondValue` Second raw counter value.
`WinBase.FILETIME` `TimeStamp` Local time for when the data was collected

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`PDH_RAW_COUNTER()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CStatus

    public int CStatus

Counter status that indicates if the counter value is valid.

#### TimeStamp

    public WinBase.FILETIME TimeStamp

Local time for when the data was collected

#### FirstValue

    public long FirstValue

First raw counter value.

#### SecondValue

    public long SecondValue

Second raw counter value.

#### MultiCount

    public int MultiCount

If the counter type contains the PERF_MULTI_COUNTER flag, this member contains the additional counter data used in the calculation

### Constructor Detail

#### PDH_RAW_COUNTER

    public PDH_RAW_COUNTER()